import dayjs from 'dayjs';
import 'dayjs/locale/zh-cn'; // 中文语言包
import relativeTime from 'dayjs/plugin/relativeTime';
import isToday from 'dayjs/plugin/isToday';
import isYesterday from 'dayjs/plugin/isYesterday';
import weekday from 'dayjs/plugin/weekday';

// 加载插件
dayjs.extend(relativeTime);
dayjs.extend(isToday);
dayjs.extend(isYesterday);
dayjs.extend(weekday);
dayjs.locale('zh-cn'); // 设置中文


// 格式化时间类似微信聊天时间
export function formatMessageTime(timeStr:string) {
  const now = dayjs();
  const target = dayjs(timeStr.replace(/\//g, '-')); // 将/替换为-确保解析正确
  if (target.isToday()) {
    // 今天：显示 HH:mm
    return target.format('HH:mm');
  } else if (target.isYesterday()) {
    // 昨天：显示 昨天 HH:mm
    return `昨天 ${target.format('HH:mm')}`;
  } else if (now.diff(target, 'day') <= 7) {
    // 一周内：显示 周几 HH:mm
    const weekdays = ['日', '一', '二', '三', '四', '五', '六'];
    return `周${weekdays[target.day()]} ${target.format('HH:mm')}`;
  } else {
    // 一周前：显示 月/日 HH:mm
    return target.format('M/D HH:mm');
  }
}
// 生成当前 msgTime
export function getFormatNow() {
  const now = dayjs();
  return now.format('YYYY-MM-DD HH:mm:ss')
}